Bug 1566329 - [abrt] gnome-shell: g_slist_find(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: g_slist_find(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f2940c4a6738e46202b1ec8f8b3...
: 1575283 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 05:25 UTC by Yijun Yuan
Modified: 2019-05-28 20:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:06:32 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (64.83 KB, text/plain)
2018-04-12 05:25 UTC, Yijun Yuan
no flags Details
File: cgroup (378 bytes, text/plain)
2018-04-12 05:25 UTC, Yijun Yuan
no flags Details
File: core_backtrace (47.47 KB, text/plain)
2018-04-12 05:25 UTC, Yijun Yuan
no flags Details
File: cpuinfo (1.19 KB, text/plain)
2018-04-12 05:25 UTC, Yijun Yuan
no flags Details
File: dso_list (24.70 KB, text/plain)
2018-04-12 05:25 UTC, Yijun Yuan
no flags Details
File: environ (3.44 KB, text/plain)
2018-04-12 05:25 UTC, Yijun Yuan
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-12 05:25 UTC, Yijun Yuan
no flags Details
File: maps (120.00 KB, text/plain)
2018-04-12 05:25 UTC, Yijun Yuan
no flags Details
File: mountinfo (4.14 KB, text/plain)
2018-04-12 05:25 UTC, Yijun Yuan
no flags Details
File: open_fds (8.12 KB, text/plain)
2018-04-12 05:25 UTC, Yijun Yuan
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-04-12 05:25 UTC, Yijun Yuan
no flags Details
File: var_log_messages (5.95 KB, text/plain)
2018-04-12 05:25 UTC, Yijun Yuan
no flags Details

Description Yijun Yuan 2018-04-12 05:25:35 UTC
Description of problem:


Version-Release number of selected component:
gnome-shell-3.28.0-1.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: g_slist_find
executable:     /usr/bin/gnome-shell
journald_cursor: s=1a9836efc54b47039beef57c18610ce4;i=10a6b68;b=a470ac63709145a5a864720fdd584b07;m=1b635f35;t=5699fd6471653;x=3cae805de066e929
kernel:         4.16.1-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_slist_find at gslist.c:693
 #1 g_object_notify_queue_add at gobject.c:309
 #2 g_object_notify_by_spec_internal at gobject.c:1170
 #3 g_object_notify_by_pspec at gobject.c:1285
 #4 object_set_property at gobject.c:1441
 #5 g_object_new_internal at gobject.c:1833
 #6 g_object_new_valist at gobject.c:2122
 #8 gdk_pixbuf_new_from_data at gdk-pixbuf-data.c:70
 #9 symbolic_cache_get_proxy at gtkicontheme.c:4303
 #10 gtk_icon_info_load_symbolic_finish at gtkicontheme.c:5041

Potential duplicate: bug 1547208

Comment 1 Yijun Yuan 2018-04-12 05:25:40 UTC
Created attachment 1420665 [details]
File: backtrace

Comment 2 Yijun Yuan 2018-04-12 05:25:41 UTC
Created attachment 1420666 [details]
File: cgroup

Comment 3 Yijun Yuan 2018-04-12 05:25:42 UTC
Created attachment 1420667 [details]
File: core_backtrace

Comment 4 Yijun Yuan 2018-04-12 05:25:43 UTC
Created attachment 1420668 [details]
File: cpuinfo

Comment 5 Yijun Yuan 2018-04-12 05:25:44 UTC
Created attachment 1420669 [details]
File: dso_list

Comment 6 Yijun Yuan 2018-04-12 05:25:45 UTC
Created attachment 1420670 [details]
File: environ

Comment 7 Yijun Yuan 2018-04-12 05:25:46 UTC
Created attachment 1420671 [details]
File: limits

Comment 8 Yijun Yuan 2018-04-12 05:25:48 UTC
Created attachment 1420672 [details]
File: maps

Comment 9 Yijun Yuan 2018-04-12 05:25:49 UTC
Created attachment 1420673 [details]
File: mountinfo

Comment 10 Yijun Yuan 2018-04-12 05:25:50 UTC
Created attachment 1420674 [details]
File: open_fds

Comment 11 Yijun Yuan 2018-04-12 05:25:51 UTC
Created attachment 1420675 [details]
File: proc_pid_status

Comment 12 Yijun Yuan 2018-04-12 05:25:52 UTC
Created attachment 1420676 [details]
File: var_log_messages

Comment 13 Geezus 2018-05-05 16:57:40 UTC
*** Bug 1575283 has been marked as a duplicate of this bug. ***

Comment 14 Ben Cotton 2019-05-02 21:50:35 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-05-28 20:06:32 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.